package com.eactive.eai.inbound.remote;

import com.eactive.eai.common.dao.DAOFactory;

public class RemoteTransferLogManager
{

	//singleton 객체 생성
	private static RemoteTransferLogManager instance = new RemoteTransferLogManager();
	//singleton 객체 리턴
    public static RemoteTransferLogManager getInstance() {
        return instance;
    }

	//생성자 (다른 클래스에서 new 불가)
	private RemoteTransferLogManager() {}

	public int insertRemoteTransferLog(RemoteTransferLogVO remoteTransferLogVO) throws Exception {
		RemoteTransferLogDAO dao = (RemoteTransferLogDAO)DAOFactory.newInstance().create(RemoteTransferLogDAO.class);
        return dao.insertRemoteTransferLog(remoteTransferLogVO);
	}

	public int updateRemoteTransferLog(RemoteTransferLogVO remoteTransferLogVO) throws Exception {
		RemoteTransferLogDAO dao = (RemoteTransferLogDAO)DAOFactory.newInstance().create(RemoteTransferLogDAO.class);
        return dao.updateRemoteTransferLog(remoteTransferLogVO);
	}
    public RemoteTransferLogVO getRemoteTransferLog( String fileTrsmtLogID ) throws Exception {
		RemoteTransferLogDAO dao = (RemoteTransferLogDAO)DAOFactory.newInstance().create(RemoteTransferLogDAO.class);
        return dao.getRemoteTransferLog(fileTrsmtLogID);
    }
}
